/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package org.netbeans.translationserver;

import java.util.Comparator;

/**
 *
 * @author yury
 */
public class TranslationResult {
    
    private String tgt;
    private String src;
    private double pred_score;
    private int n_best;

    public String getTgt() {
        return tgt;
    }

    public void setTgt(String tgt) {
        this.tgt = tgt;
    }

    public String getSrc() {
        return src;
    }

    public void setSrc(String src) {
        this.src = src;
    }

    public double getPred_score() {
        return pred_score;
    }

    public void setPred_score(double pred_score) {
        this.pred_score = pred_score;
    }

    public int getN_best() {
        return n_best;
    }

    public void setN_best(int n_best) {
        this.n_best = n_best;
    } 

    public static final class TranslationResultComparator implements Comparator<TranslationResult> {
        
        @Override
        public int compare(TranslationResult result1,TranslationResult result2) {
            if (result1.pred_score == result2.pred_score) {
                return 0;
            } else {
                return result1.pred_score > result2.pred_score ? 1 : -1;
            }
        }
    }
    
}
