# amount of relevant content = small
# closeness of context = far
# good naming = yes
# built-in types = no
def encode_multipart_formdata(fields, boundary=None):
    body = BytesIO()

    if boundary is None:
        boundary = choose_boundary()

    for field in iter_field_objects(fields):

        writer(body).write(field.render_headers())
        data = field.data

        if isinstance(data, int):
            data = str(data)  # Backwards compatibility

        if isinstance(data, six.text_type):
            writer(body).write(data)
        else:
            pass
    body.write(b('--%s--\r\n' % (boundary))) <completion>
