import sys
from nltk import word_tokenize

def flatten(list):
    new_list = []
    for item in list:
        if type(item) == type([]):
            new_list.extend(flatten(item))
        else:
            new_list.append(item)
    return new_list

def tokenize(sentence):
    tokens = word_tokenize(sentence)
    for token in tokens:
        if "." in token:
            subtokens = token.split(".")
            subtokens = list(filter(None, subtokens))
            index = tokens.index(token)
            tokens.remove(token)
            tokens.insert(index, subtokens)
    tokens = flatten(tokens)
    tokens = " ".join(tokens)
    print tokens

if __name__ == "__main__":
    tokenize(sys.argv[1])
